name: AWS staging
on:
  push:
    branches: [main]

jobs:
  staging:
    name: Deploy staging
    runs-on: ubuntu-20.04
    permissions:
      id-token: write
      contents: read
    steps:
      - name: Checkout code
        uses: actions/checkout@v2

      - name: Replace env vars
        run: |
          sed -i -re '/^REACT_APP_API_URL/d' .env.staging
          echo "REACT_APP_API_URL=https://ruby-api.collabs.demo-app-platform.com/graphql" >> .env.staging

      - name: Debug show .env.staging
        run: cat .env.staging

      - name: Install dependencies
        uses: ./.github/actions/build

      - name: Build staging
        run: yarn build:staging

      - name: Configure AWS Credentials
        uses: aws-actions/configure-aws-credentials@v1
        with:
          aws-region: eu-north-1
          role-to-assume: ${{ secrets.AWS_ROLE_TO_ASSUME }}
          role-session-name: GitHub-Deploy-User

      - name: Serverless Deploy
        run: ./node_modules/.bin/serverless deploy --stage=staging --force
